package com.qmth.teachcloud.report.business.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: TAExamCourseDto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/17
 */
public class TAExamCourseDto implements Serializable {

    @ExcelProperty(name = "课程(代码)", width = 40, index = 1)
    private String courseCodeName;

    @ExcelProperty(name = "开课学院", width = 30, index = 2)
    private String teachCollegeName;

    @ExcelProperty(name = "考查学院", width = 30, index = 3)
    private String inspectCollegeName;

    @ExcelProperty(name = "有效人数", width = 30, index = 4)
    private Integer realityCount;

    @ExcelProperty(name = "应届占比(人数)", width = 50, index = 5)
    private String currentRealityRate;

    @ExcelProperty(name = "非应届占比(人数)", width = 50, index = 6)
    private String pastRealityRate;

    @ExcelProperty(name = "总体平均分", width = 30, index = 7)
    private BigDecimal avgScore;

    @ExcelProperty(name = "不及格率(人数)", width = 40, index = 8)
    private String notPassRate;

    @ExcelProperty(name = "缺考", width = 30, index = 9)
    private Integer absentCount;

    @ExcelProperty(name = "应届平均分", width = 30, index = 10)
    private BigDecimal paperCurrentAvgScore;

    @ExcelProperty(name = "应届不及格率(人数)", width = 50, index = 11)
    private String currentNotPassRate;

    public TAExamCourseDto() {

    }

    public TAExamCourseDto(String courseCodeName, String teachCollegeName, String inspectCollegeName, Integer realityCount,
                           String currentRealityRate, String pastRealityRate, BigDecimal avgScore, String notPassRate,
                           Integer absentCount, BigDecimal paperCurrentAvgScore, String currentNotPassRate) {
        this.courseCodeName = courseCodeName;
        this.teachCollegeName = teachCollegeName;
        this.inspectCollegeName = inspectCollegeName;
        this.realityCount = realityCount;
        this.currentRealityRate = currentRealityRate;
        this.pastRealityRate = pastRealityRate;
        this.avgScore = avgScore;
        this.notPassRate = notPassRate;
        this.absentCount = absentCount;
        this.paperCurrentAvgScore = paperCurrentAvgScore;
        this.currentNotPassRate = currentNotPassRate;
    }

    public String getCourseCodeName() {
        return courseCodeName;
    }

    public void setCourseCodeName(String courseCodeName) {
        this.courseCodeName = courseCodeName;
    }

    public String getTeachCollegeName() {
        return teachCollegeName;
    }

    public void setTeachCollegeName(String teachCollegeName) {
        this.teachCollegeName = teachCollegeName;
    }

    public String getInspectCollegeName() {
        return inspectCollegeName;
    }

    public void setInspectCollegeName(String inspectCollegeName) {
        this.inspectCollegeName = inspectCollegeName;
    }

    public Integer getRealityCount() {
        return realityCount;
    }

    public void setRealityCount(Integer realityCount) {
        this.realityCount = realityCount;
    }

    public String getCurrentRealityRate() {
        return currentRealityRate;
    }

    public void setCurrentRealityRate(String currentRealityRate) {
        this.currentRealityRate = currentRealityRate;
    }

    public String getPastRealityRate() {
        return pastRealityRate;
    }

    public void setPastRealityRate(String pastRealityRate) {
        this.pastRealityRate = pastRealityRate;
    }

    public BigDecimal getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(BigDecimal avgScore) {
        this.avgScore = avgScore;
    }

    public String getNotPassRate() {
        return notPassRate;
    }

    public void setNotPassRate(String notPassRate) {
        this.notPassRate = notPassRate;
    }

    public Integer getAbsentCount() {
        return absentCount;
    }

    public void setAbsentCount(Integer absentCount) {
        this.absentCount = absentCount;
    }

    public BigDecimal getPaperCurrentAvgScore() {
        return paperCurrentAvgScore;
    }

    public void setPaperCurrentAvgScore(BigDecimal paperCurrentAvgScore) {
        this.paperCurrentAvgScore = paperCurrentAvgScore;
    }

    public String getCurrentNotPassRate() {
        return currentNotPassRate;
    }

    public void setCurrentNotPassRate(String currentNotPassRate) {
        this.currentNotPassRate = currentNotPassRate;
    }
}
